Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 634 - rpm 2.5.7 breaks database
Summary: rpm 2.5.7 breaks database
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-28 16:10 UTC by sds
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-30 02:39:17 UTC


Attachments (Terms of Use)

Description sds 1998-12-28 16:10:39 UTC
after upgrading to rpm-2.5.7-1,
# rpm -q rpm
cannot open file //var/lib/rpm/nameindex.rpm:
rpmQuery: rpmdbOpen() failed
# ls -l /var/lib/rpm
total 13490
-rw-r--r--   1 root     root        16384 Dec 28 10:43
conflictsindex.rpm
-rw-r--r--   1 root     root      5259264 Dec 28 10:43
fileindex.rpm
-rw-r--r--   1 root     root        16384 Dec 28 10:43
groupindex.rpm
-rw-r--r--   1 root     root        28672 Dec 28 10:43
nameindex.rpm
-rw-r--r--   1 root     root      9449608 Dec 28 10:43
packages.rpm
-rw-r--r--   1 root     root        24576 Dec 28 10:43
providesindex.rpm
drwxr-xr-x   2 root     root         1024 Dec 28 10:46
rebuilddb.20258
drwxr-xr-x   2 root     root         1024 Dec 28 10:46
rebuilddb.20259
drwxr-xr-x   2 root     root         1024 Nov 30 15:12
rebuilddb.8
-rw-r--r--   1 root     root        53248 Dec 28 10:43
requiredby.rpm
-rw-r--r--   1 root     root        16384 Dec 28 10:43
triggerindex.rpm
# rpm --rebuilddb
cannot open file //var/lib/rpm/nameindex.rpm:
#

Comment 1 Jeff Johnson 1998-12-28 16:33:59 UTC
Try
	rpm --rebuilddb
and reopen this bug if there is still a problem.

Comment 2 sds 1998-12-28 17:25:59 UTC
# rpm --rebuilddb
cannot open file //var/lib/rpm/nameindex.rpm:
# ls -l /var/lib/rpm/
total 13538
   1 drwxr-xr-x   3 root     root         1024 Dec 28 16:13 ./
   1 drwxr-xr-x   7 root     root         1024 Aug  2 10:30 ../
  14 -rw-r--r--   1 root     root        16384 Dec 28 14:57
conflictsindex.rpm
4084 -rw-r--r--   1 root     root      5259264 Dec 28 14:57
fileindex.rpm
  14 -rw-r--r--   1 root     root        16384 Dec 28 14:57
groupindex.rpm
  22 -rw-r--r--   1 root     root        28672 Dec 28 14:57
nameindex.rpm
9315 -rw-r--r--   1 root     root      9499208 Dec 28 14:57
packages.rpm
  22 -rw-r--r--   1 root     root        24576 Dec 28 14:57
providesindex.rpm
   1 drwxr-xr-x   2 root     root         1024 Dec 28 16:13
rebuilddb.23848/
  50 -rw-r--r--   1 root     root        53248 Dec 28 14:57
requiredby.rpm
  14 -rw-r--r--   1 root     root        16384 Dec 28 14:57
triggerindex.rpm

Comment 3 Jeff Johnson 1998-12-30 02:39:59 UTC
rpm-2.5.7 now looks for (and uses) the "original db-1.85" rather
than attemptimg to use the (apparently broken) db_185.h retrofit.

Fixed in rpm-2.5.7-2.


Note You need to log in before you can comment on or make changes to this bug.